Runtime

## org.eclipse.gmf.runtime.emf.type.core.commands
Class DeferredSetValueCommand

    java.lang.Object
      org.eclipse.core.commands.operations.AbstractOperation
          org.eclipse.emf.workspace.AbstractEMFOperation
              org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
                  org.eclipse.gmf.runtime.emf.type.core.commands.EditElementCommand
                      org.eclipse.gmf.runtime.emf.type.core.commands.SetValueCommand
                          org.eclipse.gmf.runtime.emf.type.core.commands.DeferredSetValueCommand

All Implemented Interfaces:
  IUndoableOperation, ICommand, org.eclipse.gmf.runtime.common.core.internal.command.ICommandWithSettableResult

    public class DeferredSetValueCommand

extends SetValueCommand

Command to set the value of a feature of a model element. The model element is not known at the time of command construction. Subclasses can override `EditElementCommand.getElementToEdit()` to compute or find the elementToEdit.

Constructor Summary
`DeferredSetValueCommand(SetRequest request)` Constructs a new command.

Method Summary
`boolean` `canExecute()` Always executable when we can't get the elementToEdit.

Methods inherited from class org.eclipse.gmf.runtime.emf.type.core.commands.SetValueCommand
`doExecuteWithResult`

Methods inherited from class org.eclipse.gmf.runtime.emf.type.core.commands.EditElementCommand
`getAffectedFiles, getEClass, getEClassToEdit, getElementToEdit, getRequest, isOK, setEClass, setElementToEdit`

Methods inherited from class org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
`aggregateStatuses, cleanup, compose, didRedo, didUndo, doExecute, doRedo, doUndo, getAffectedFiles, getCommandResult, getWorkspaceFiles, getWorkspaceFiles, internalSetResult, reduce, setResult`

Methods inherited from class org.eclipse.emf.workspace.AbstractEMFOperation
`canRedo, canUndo, didCommit, dispose, execute, getChange, getEditingDomain, getOptions, redo, undo`

Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation
`addContext, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.command.ICommand
`setLabel`

Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation
`addContext, canRedo, canUndo, dispose, execute, getContexts, getLabel, hasContext, redo, removeContext, undo`

Constructor Detail

### DeferredSetValueCommand

    public DeferredSetValueCommand(SetRequest request)

  Constructs a new command.

  Parameters:
    `request` - the set value request

Method Detail

### canExecute

    public boolean canExecute()

  Always executable when we can't get the elementToEdit.

  Specified by:
    `canExecute` in interface `IUndoableOperation`
  Overrides:
    `canExecute` in class `SetValueCommand`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.